Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class Manifest

    java.lang.Object
      rice.p2p.glacier.v2.Manifest

All Implemented Interfaces:
  java.io.Serializable

public class Manifest
extends java.lang.Object
implements java.io.Serializable

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected long` | `expirationDate` DESCRIBE THE FIELD
`protected byte[][]` | `fragmentHash` DESCRIBE THE FIELD
`protected byte[]` | `objectHash` DESCRIBE THE FIELD
`protected byte[]` | `signature` DESCRIBE THE FIELD

Constructor Summary
`Manifest(byte[] objectHash, byte[][] fragmentHash, long expirationDate)` Constructor for Manifest.

Method Summary
`long` | `getExpiration()` Gets the Expiration attribute of the Manifest object
`byte[]` | `getFragmentHash(int fragmentID)` Gets the FragmentHash attribute of the Manifest object
`byte[][]` | `getFragmentHashes()` Gets the FragmentHashes attribute of the Manifest object
`byte[]` | `getObjectHash()` Gets the ObjectHash attribute of the Manifest object
`byte[]` | `getSignature()` Gets the Signature attribute of the Manifest object
`void` | `setSignature(byte[] signature)` Sets the Signature attribute of the Manifest object
`java.lang.String` | `toString()` DESCRIBE THE METHOD
`java.lang.String` | `toStringFull()` DESCRIBE THE METHOD
`void` | `update(long newExpirationDate, byte[] newSignature)` DESCRIBE THE METHOD
`boolean` | `validatesFragment(Fragment fragment, int fragmentID, Logger logger)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### objectHash

    protected transient byte[] objectHash

  DESCRIBE THE FIELD

### fragmentHash

    protected transient byte[][] fragmentHash

  DESCRIBE THE FIELD

### signature

    protected transient byte[] signature

  DESCRIBE THE FIELD

### expirationDate

    protected long expirationDate

  DESCRIBE THE FIELD

Constructor Detail

### Manifest

    public Manifest(byte[] objectHash,
                    byte[][] fragmentHash,
                    long expirationDate)

  Constructor for Manifest.

Parameters:
  `objectHash` - DESCRIBE THE PARAMETER
  `fragmentHash` - DESCRIBE THE PARAMETER
  `expirationDate` - DESCRIBE THE PARAMETER

Method Detail

### getObjectHash

    public byte[] getObjectHash()

  Gets the ObjectHash attribute of the Manifest object

  Returns:
    The ObjectHash value

### getFragmentHash

    public byte[] getFragmentHash(int fragmentID)

  Gets the FragmentHash attribute of the Manifest object

  Parameters:
    `fragmentID` - DESCRIBE THE PARAMETER
  Returns:
    The FragmentHash value

### getFragmentHashes

    public byte[][] getFragmentHashes()

  Gets the FragmentHashes attribute of the Manifest object

  Returns:
    The FragmentHashes value

### getSignature

    public byte[] getSignature()

  Gets the Signature attribute of the Manifest object

  Returns:
    The Signature value

### getExpiration

    public long getExpiration()

  Gets the Expiration attribute of the Manifest object

  Returns:
    The Expiration value

### setSignature

    public void setSignature(byte[] signature)

  Sets the Signature attribute of the Manifest object

  Parameters:
    `signature` - The new Signature value

### update

    public void update(long newExpirationDate,
                       byte[] newSignature)

  DESCRIBE THE METHOD

  Parameters:
    `newExpirationDate` - DESCRIBE THE PARAMETER
    `newSignature` - DESCRIBE THE PARAMETER

### validatesFragment

    public boolean validatesFragment(Fragment fragment,
                                     int fragmentID,
                                     Logger logger)

  DESCRIBE THE METHOD

  Parameters:
    `fragment` - DESCRIBE THE PARAMETER
    `fragmentID` - DESCRIBE THE PARAMETER
    `logger` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### toStringFull

    public java.lang.String toStringFull()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.